Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-arm-rtems4.10-binutils
-Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-arm-rtems4.10-binutils
-# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-avr-rtems4.10-binutils
-Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -316,5 +316,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -456,5 +456,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-avr-rtems4.10-binutils
-# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -558,5 +558,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -578,5 +578,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-bfin-rtems4.10-binutils
-Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-bfin-rtems4.10-binutils
-# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-h8300-rtems4.10-binutils
-Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-h8300-rtems4.10-binutils
-# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-i386-rtems4.10-binutils
-Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-i386-rtems4.10-binutils
-# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-lm32-rtems4.10-binutils
-Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-lm32-rtems4.10-binutils
-# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -135,5 +135,5 @@
 
 Requires:	rtems-4.10-m32c-rtems4.10-binutils
-Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -316,5 +316,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -456,5 +456,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32c-rtems4.10-binutils
-# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -511,5 +511,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -135,5 +135,5 @@
 
 Requires:	rtems-4.10-m32r-rtems4.10-binutils
-Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -316,5 +316,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -456,5 +456,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32r-rtems4.10-binutils
-# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -511,5 +511,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-m68k-rtems4.10-binutils
-Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m68k-rtems4.10-binutils
-# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-mips-rtems4.10-binutils
-Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-mips-rtems4.10-binutils
-# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-powerpc-rtems4.10-binutils
-Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-powerpc-rtems4.10-binutils
-# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-sh-rtems4.10-binutils
-Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sh-rtems4.10-binutils
-# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 3274a39af84170bf9348d46294d5e18ec6b12dd9)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 9b9c6153d15d386d2a5e6703aede814e0f349282)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-sparc-rtems4.10-binutils
-Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 
 
@@ -324,5 +324,5 @@
   echo "%defattr(-,root,root,-)" >> dirs
   echo "%dir %{_prefix}" >> dirs
-  echo "%dir %{_libdir}" >> dirs
+  echo "%dir %{_gcclibdir}" >> dirs
   echo "%dir %{_libexecdir}" >> dirs
   echo "%dir %{_gcclibdir}/gcc" >> dirs
@@ -464,5 +464,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sparc-rtems4.10-binutils
-# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-46%{?dist}
+# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-47%{?dist}
 # License:	GPL
 
@@ -601,5 +601,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -621,5 +621,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        46%{?dist}
+Release:        47%{?dist}
 License:	Distributable
 
